Prima::FrameSet - standard frameset widget Provides standard means of framesets manipulations. It includes sharing of common workspace among several widget groups; redistribution of space, occupied by frames; isolation of different frames from each other. This module defines fra:: and frr:: packages for constants, used by the arrangement manpage and the resizeMethod manpage properties, respectively. Two additional auxiliary packages are defined within this module: the Prima::FrameSet::Frame manpage and the Prima::FrameSet::Slider manpage. use Prima::FrameSet; my $frame = Prima::FrameSet->create( frameSizes => [qw(211 20% 123 10% * 45% *)], opaqueResize => 0, frameProfiles => [ 0,0, { minFrameWidth => 123, maxFrameWidth => 123 }], ); $frame->insert_to_frame( 0, Button => text => '~Ok', );

Properties
Vadim Belman, <voland@lflat.org> the Prima manpage, the Prima::Widget manpage, examples/frames.pl.